# Version 2

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/ekyc/v2/doc-verify/sg-id-card-front`

#### Request Body

| Name               | Type   | Description                                                                             |
| ------------------ | ------ | --------------------------------------------------------------------------------------- |
| caseNo             | string | Reference code given by user                                                            |
| otherDocList       | string | This parameter is needed for illumination detection and optical variable ink detection. |
| apiKey             | string | To be assigned by Innov8tif                                                             |
| idImageBase64Image | string | Front id card image in base64                                                           |

{% tabs %}
{% tab title="200 " %}
{% code title="JSON" %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "49d26d8a-2cb6-4c80-96a1-8bfcf7977126",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-sg-lic-coatofarm",
                    "label": "Coat of Arms",
                    "value": "72.79978394508362",
                    "imageUrl": "/public/image/v2/49d26d8a-2cb6-4c80-96a1-8bfcf7977126?type=l-sg-lic-coatofarm",
                    "refImageUrl": null
                },
                {
                    "code": "l-sg-lic-lionhead",
                    "label": "Lion Head Symbol",
                    "value": "90.22381901741028",
                    "imageUrl": "/public/image/v2/49d26d8a-2cb6-4c80-96a1-8bfcf7977126?type=l-sg-lic-lionhead",
                    "refImageUrl": null
                },
                {
                    "code": "l-sg-lic-republic",
                    "label": "Republic of Singapore",
                    "value": "32.84326791763306",
                    "imageUrl": "/public/image/v2/49d26d8a-2cb6-4c80-96a1-8bfcf7977126?type=l-sg-lic-republic",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "illuminationLevel",
            "label": "Illumination Level",
            "componentList": [
                {
                    "code": "illuminationLevel",
                    "label": "Illumination Level",
                    "value": "Fail",
                    "imageUrl": "/public/image/v2/49d26d8a-2cb6-4c80-96a1-8bfcf7977126?type=illuminationLevel",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "headerColorDiff",
            "label": "Header Color Difference",
            "componentList": [
                {
                    "code": "headerColorDiff",
                    "label": "Header Color Difference",
                    "value": "Fail",
                    "imageUrl": "/public/image/v2/49d26d8a-2cb6-4c80-96a1-8bfcf7977126?type=headerColorDiff",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "colorMode",
            "label": "Color Detection",
            "componentList": [
                {
                    "code": "colorMode",
                    "label": "Color Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "screen",
            "label": "Screen Detection",
            "componentList": [
                {
                    "code": "screen",
                    "label": "Screen Detection",
                    "value": "Cautious",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": null
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Input Example

```
{
    "apiKey": "apikey",
    "caseNo": "CASE 123",
    "idImageBase64Image": "/9j/4AAQSkZJ...fYs1wRtQHt//Z\r\n",
    "idNumber": "820403-05-1111",
    "otherDocList": [
        {
            "base64Image":"/9j/4AAQSkZJRgABAQAAAQABAAD/2wBD",
            "type":"with_flash" 
        }
    ]

}
```

{% file src="/files/-M5tWKEDsuVt9izyJMvG" %}

### Illumination Detection

**Multiple Laser Image (MLI):** A laser-generated optically variable image, composed of horizontal lines.

![](/files/-LueuVTvOi1p8mVBYpZ9)

![](/files/-LueuY_iueAS-KkZwWj-)

### **Optically Variable Ink Detection**

**Optically Variable Ink (OVI):** Ink containing optically variable pigments that generate a noticeable colour change (shift), depending on the angle of view and/or incidence of light.

![](/files/-LueuxQhvTv2QADbK_nf)

![](/files/-Luev-AYqeC6hNPoIqL1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/singapore/sg-id-card-front/version-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
